
Katello - Bug #5759

search/filters doesn't work  under content-view filters

05/16/2014 02:34 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1094186 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1094186

Description of problem:

Search/filters doesn't work under CV filters. There are filter boxes to filter packages under package filters and similarly under

package-group.

None of them is actually working. Also search for filtering the name of  CV filter doesn't work. I think we need to check all

search/filters under CV.

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.7-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.7-1.el6_5.noarch

candlepin-tomcat6-0.9.7-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.22-1.el6sat.noarch

foreman-compute-1.5.0.22-1.el6sat.noarch

foreman-gce-1.5.0.22-1.el6sat.noarch

foreman-libvirt-1.5.0.22-1.el6sat.noarch

foreman-ovirt-1.5.0.22-1.el6sat.noarch

foreman-postgresql-1.5.0.22-1.el6sat.noarch

foreman-proxy-1.5.7-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

foreman-vmware-1.5.0.22-1.el6sat.noarch

katello-1.5.0-20.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.34-1.el6sat.noarch

openldap-2.4.23-31.el6.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

rubygem-hammer_cli-0.1.0-8.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.3-18.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1.

2.

3.

Actual results:

- search for filtering filter names doesn't work

- serach for filtering packages doesn't work

- search for filtering package group doesn't work

Expected results:

all filters should work under CV

Additional info:

Associated revisions

Revision 8b08660e - 06/02/2014 08:49 AM - Eric Helms

Fixes #5759: Make search and filtering on Content View Filters work as intended.

Revision 5f3fd9b5 - 06/02/2014 12:49 PM - Eric Helms

Fixes #5759: Make search and filtering on Content View Filters work as intended.

Revision 683323fb - 06/02/2014 01:46 PM - Eric Helms

Merge pull request #4193 from ehelms/fixes-5759

Fixes #5759: Make search and filtering on Content View Filters work as i...

Revision b5dbd4f3 - 06/02/2014 05:46 PM - Eric Helms

Merge pull request #4193 from ehelms/fixes-5759

Fixes #5759: Make search and filtering on Content View Filters work as i...

History

#1 - 05/16/2014 02:34 PM - Brad Buckingham

- Triaged set to Yes

#2 - 05/30/2014 01:13 PM - Eric Helms

- Status changed from New to Assigned

- Target version set to 45

#3 - 06/02/2014 05:52 PM - Eric Helms

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:5f3fd9b5db8750a4ee8bb75bfa918249a15a19fb.

#4 - 08/22/2014 08:24 AM - Eric Helms

- translation missing: en.field_release set to 13
